import { PropTypes } from '@structured-types/api';
import { CosmiconfigResult } from 'cosmiconfig/dist/types';
import { DocumentationNode, DocumentationOptions } from './types';
export * from './types';
/**
 * Creates a list of api documentation nodes
 * @param props properties parsed from `structured-types/api`
 * @param options page generation options
 * @returns a list of documentation nodes
 */
export declare const propsToDocumentation: (props: PropTypes, options?: DocumentationOptions | undefined) => DocumentationNode[];
/**
 * deep merge of documentation configurations, by replacing array members (ie sections, columns)
 */
export declare const mergeConfig: (dest: DocumentationOptions, src: DocumentationOptions) => DocumentationOptions;
/**
 * Read the api-docs configuration file
 * @param fileName the file that is being analyzed, will be used the starting folder to search for configuration files.
 * @param configFileName pass directly the configuration file name
 * @param elementId an optional element id. If not, the elements will be micromatch'ed based on relative path from configuration
 * @returns page generation options from the config file
 */
export declare const apiDocsConfig: (fileName: string, configFileName?: string | undefined, elementId?: string | undefined) => CosmiconfigResult;
export { getRepoPath } from './package-info/package-info';
