import { STFS } from '../types';
interface RepoPathReturnValue {
    /**
     * repository url
     */
    repo?: string;
    /**
     * name field from the project's package.json
     */
    packageName?: string;
    /**
     * file's relative path to the project's package.json
     */
    relativePath?: string;
}
/**
 * Retrieves the repo path from the project's package.json file.
 * @param filePath file path to start the search for a package.json
 */
export declare const getRepoPath: (fs: STFS, filePath: string) => RepoPathReturnValue;
export {};
